{% extends 'base.html.twig' %}

{% block title %}Home{% endblock %}

{% block body %}
    {% if is_granted( 'ROLE_USER') %}
<div class="container-fluid">
        <div class="row">
            <div class="col-md-10"></div>
                <div class="col-md-2">
                <div style="background-color: black;color:whitesmoke;text-align: center" class="shadow-none p-3 mb-5 bg rounded">Bonjour {{ app.user.firstname }} 👋</div>
            </div>
        </div>
</div>
    {% endif %}


    <h1 style="text-align: center;">Home 🏠</h1><br><br>
    <div class="container">
    <div class="row">
    {% for user in users %}
        {% for video in user.videos %}
<div class="col-sm-6">
            <div class="card">
                <div class="video">
                    <div class="video__container">
                        <iframe class="video__embed" src="{{ video.link|replace({'com/watch?v=':'com/embed/'})}}" frameborder="0" allowfullscreen></iframe>
                        <a href="{{ video.link }}" class="video__placeholder" target="_blank"></a>
                    </div>
                </div>
                <div class="card__info">
                    <h2 class="card__author"><b> Catégorie : </b><a href="{{ path('categorie', { 'categorie': video.categorie }) }}"><b>{{ video.categorie }}</b></a></h2>
                    <h1 class="card__title"><u>{{ video.title }} :</u></h1>
                    <p class="card__description">
                        {{ video.resume }}
                        <a href="{{ path('list', { 'id': user.id }) }}"><h2 class="card__author">By {{ user.firstname }}</h2></a>
                    <div class="card__sharing">
                            <small>Created the {{ video.createdat|date('d-m-Y') }} at {{ video.createdat|date('H:i') }} o'clock  </small>
                    </div>
                </div>
            </div>
            </div>

        {% endfor %}
    {% endfor %}
</div>
    </div>

{% endblock %}



